View Issue Details

IDProjectCategoryView StatusLast Update
0002236Industrial-Craft²crossmod-compatibility / submodules / APIpublic2017-07-23 13:28
ReporterTerodenessAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0002236: IC boots / IE jump cushion | 1.10.2, 1.12
DescriptionIC: 1.10.2 - industrialcraft-2-2.6.245-ex110
    1.12 - industrialcraft-2-2.8.7-ex112

IE: 1.10.2 - ImmersiveEngineering-0.10-61
    1.12 - ImmersiveEngineering-0.12-67

So, I'm not really sure which mod bug it is, but when you fall on jump cushion (Block that negates all fall dmg) from IE while you are wearing any fall damage negating boots from IC the boots takes dmg.

The heights are:
Both rubber boots and Nano-boots take damage when you fall from pillars of 5-12 block.
The quantum suit boots take dmg from any hight higher than 12. (pillar of 13 blocks)
TagsNo tags attached.
Minecraft Version10.2/12

Activities

Player

2017-07-20 01:15

administrator   ~0005392

(For the record) Our fall event handler there seems redundant and contra-productive, ISpecialArmor should already take care of the fall damage handling.

Chocohead

2017-07-20 01:26

developer   ~0005393

I think it's there to drain power from the boots when the fall damage is absorbed, the ISpecialArmor code doesn't drain power it only works out the amount that can be absorbed.

Chocohead

2017-07-23 13:28

developer   ~0005399

Fixed in IC2 2.6.251, 2.7.79 and 2.8.13

Issue History

Date Modified Username Field Change
2017-07-19 15:57 Terodeness New Issue
2017-07-20 01:15 Player Note Added: 0005392
2017-07-20 01:26 Chocohead Note Added: 0005393
2017-07-20 01:27 Chocohead Status new => acknowledged
2017-07-23 13:28 Chocohead Assigned To => Chocohead
2017-07-23 13:28 Chocohead Status acknowledged => resolved
2017-07-23 13:28 Chocohead Resolution open => fixed
2017-07-23 13:28 Chocohead Note Added: 0005399